Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86239 - /sbin/dhclient-script creates insufficient ntp.conf file.
Summary: /sbin/dhclient-script creates insufficient ntp.conf file.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcp
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-17 23:46 UTC by John Guthrie
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-24 15:48:42 UTC


Attachments (Terms of Use)
proposed patch for /sbin/dhclient-script (deleted)
2003-03-17 23:48 UTC, John Guthrie
no flags Details | Diff

Description John Guthrie 2003-03-17 23:46:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
In the script /sbin/dhclient-script that comes with the dhclient package, the
ntp.conf file that it creates is not sufficient for ntp to work correctly.  The
script puts the list of servers into the ntp.conf file, but fails to add a
restrict line for each such server.  With the
config line

restrict default ignore

that gets put in at the beginning of the ntp.conf file, this means that any info
from the servers gets ignored.  I have attached a short patch which should fix this.

Version-Release number of selected component (if applicable):
dhcp-3.0pl1-15

How reproducible:
Always

Steps to Reproduce:
1. Run the dhclient program to get an IP address for an interface.  Make certain
that the DHCP server is providing an ntp-server.  Otherwise, you won't get the
ntp.conf file.
2. Look at the resulting /etc/ntp.conf file.  You should see the following three
lines somewhere in the file:

restrict default ignore
restrict 127.0.0.1
server $ntp_server

But there will be no restrict line for each of the server lines.  This
essentially disables them.

Additional info:

Comment 1 John Guthrie 2003-03-17 23:48:51 UTC
Created attachment 90633 [details]
proposed patch for /sbin/dhclient-script

Comment 2 Daniel Walsh 2003-03-24 15:48:42 UTC
This fix is already available on RawHide and will be in next version of Red Hat.


Note You need to log in before you can comment on or make changes to this bug.